CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Developing
* Roadmap
* FAQ
* Maintainers


INTRODUCTION
------------

Conditional message client is designed to work together with conditional message
module in a server/client architecture. This makes possible to have a unique
page to control the display of messages on all multi-sites or even have one site
control how messages are displayed on other unrelated sites.

REQUIREMENTS
------------

This module requires conditional message main module to be enabled.


INSTALLATION
------------

Install like any other module. Visit the documentation for details:
https://www.drupal.org/node/895232


CONFIGURATION
-------------

1. Navigate to Administration > Modules and enable the module.
2. Navigate to Administration > Configuration > User Interface > Conditional
   Message.
3. Enter the URL of the site that will act as server.
6. Save configuration.

All the configurations will have to be made on the server site using the
conditional message module.

TROUBLESHOOTING
----------

Before submitting a bug please verify that the server and the client are using
the same protocol, ideally https, otherwise both need to be in http. This is a
common issue as AJAX requests do not allow a secure site to request an insecure
endpoint: "Mixed Content: The page at 'https://example.com' was loaded over
HTTPS, but requested an insecure XMLHttpRequest endpoint"

DEVELOPING
----------

Bug reports or feature requests should be made in drupal.org issue queue.
Patches are welcome!

MAINTAINERS
-----------

* William Ranvaud (wranvaud) - https://www.drupal.org/user/1058108
